Summary: The lrz and lsz modem communications programs
Name: lrzsz
Version: 0.12.21
%define subrel 1
Release: %mkrel 23
License: GPL
Group: Communications/Dial-Up
URL: http://www.ohse.de/uwe/software/lrzsz.html
Source: %{name}-%{version}.tar.bz2
Patch1: %{name}-0.12.20-glibc21.patch
Patch2: %{name}-0.12.20-CVE-2018-10195.patch

%description
Lrzsz (consisting of lrz and lsz) is a cosmetically modified
zmodem/ymodem/xmodem package built from the public-domain version of the
rzsz package.  Lrzsz was created to provide a working GNU copylefted
Zmodem solution for Linux systems.  

You should install lrzsz if you're also installing a Zmodem communications
program that uses lrzsz.  If you're installing minicom, you need to install
lrzsz.

%prep
%setup -q
%patch1 -p1 -b .glibc21
%patch2 -p1 -b .CVE-2018-10195

# because of time skew between various generated files, autotools are
# forced to run. In the process, gettext-devel is required but new
# gettext-devel is not compatible with lrzsz, thus autotools will fail
touch aclocal.m4
touch Makefile.in
touch stamp-h.in
touch */Makefile.in

%build
%configure	--disable-pubdir \
		--enable-syslog \
		--program-transform-name=s/l//
%make_build

%install
%makeinstall

%find_lang %name

%files -f %name.lang
%{_bindir}/*
%{_mandir}/man1/*






%changelog
* Mon Jan 31 2022 ns80 <ns80> 0.12.21-23.1.mga8
+ Revision: 1770751
- add patch from Fedora for CVE-2018-10195 (mga#29970)

* Thu Feb 13 2020 umeabot <umeabot> 0.12.21-23.mga8
+ Revision: 1514897
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.12.21-22.mga7
+ Revision: 1299352
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Fri Feb 05 2016 umeabot <umeabot> 0.12.21-21.mga6
+ Revision: 938078
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.12.21-20.mga5
+ Revision: 748847
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.21-19.mga5
+ Revision: 682006
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 pterjan <pterjan> 0.12.21-18.mga5
+ Revision: 667160
- Touch needed files in the right order to try preventing random failures

* Fri Oct 18 2013 umeabot <umeabot> 0.12.21-17.mga4
+ Revision: 507543
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.12.21-16.mga3
+ Revision: 359018
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 0.12.21-15.mga3
+ Revision: 302544
- update RPM group

* Sun Mar 06 2011 ennael <ennael> 0.12.21-14.mga1
+ Revision: 65252
- imported package lrzsz


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12.21-14mdv2011.0
+ Revision: 606421
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12.21-13mdv2010.1
+ Revision: 519033
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.12.21-12mdv2010.0
+ Revision: 426007
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.12.21-11mdv2009.1
+ Revision: 317042
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.12.21-10mdv2009.0
+ Revision: 223128
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.12.21-9mdv2008.1
+ Revision: 152872
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12.21-7mdv2007.0
+ Revision: 134432
- Import lrzsz

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.12.21-7mdk
- Rebuild

* Tue Jun 07 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.12.21-6mdk
- Rebuild

* Sun May 23 2004 Abel Cheung <deaddog@deaddog.org> 0.12.21-5mdk 
- Avoid regeneration of auto* files which would fail
- Convert names into UTF-8

